# 레이아웃 목록 조회

## Request

## 브랜드 별 등록된 레이아웃 목록을 조회합니다.<br>

> 브랜드 별 등록된 레이아웃 목록을 조회합니다.  \
> \
> &#x20; \+ \*\*계정 권한: 대행사\*\*  \
> &#x20; \+ \*\*브랜드 권한: 운영자\*\*<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"BrandKey":{"name":"X-RCS-Brandkey","in":"header","schema":{"type":"string","maxLength":18},"description":"maxLength: 18 - RCS Biz Center에서 브랜드 등록 시 자동 생성되는 Key 입니다.  \n\n대행사가 해당 브랜드에 대한 권한 여부를 판단하는데 사용됩니다.\n따라서, 대행사 계정으로 브랜드 내 정보를 조회/등록/수정 API 연동 시 Header에 설정되어야 합니다.\n"},"BrandId":{"name":"brandId","in":"path","schema":{"type":"string","maxLength":13},"required":true,"description":"maxLength: 13 - 브랜드 내 정보 접근시 사용되는 브랜드ID Path Parameter 입니다.\n"},"Offset":{"name":"offset","in":"query","schema":{"type":"integer","default":0},"description":"시작 offset 번호(default: 0) 입니다."},"Limit":{"name":"limit","in":"query","schema":{"type":"integer","minimum":100,"maximum":1000,"default":100},"description":"minimum: 100, maximum: 1000 - 조회 최대 건수(default: 100) 입니다.'\n"}}},"paths":{"/brand/{brandId}/layout":{"get":{"summary":"브랜드 별 등록된 레이아웃 목록을 조회합니다.\n","description":"브랜드 별 등록된 레이아웃 목록을 조회합니다.  \n\n  + **계정 권한: 대행사**  \n  + **브랜드 권한: 운영자**\n","parameters":[{"$ref":"#/components/parameters/BrandKey"},{"$ref":"#/components/parameters/BrandId"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>레이아웃 기본 정보 입니다.</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr><tr><td><strong><code>pagination</code></strong></td><td>object</td><td align="center"></td><td align="center">O</td><td></td><td>전체 건수와 페이징 조건을 제공합니다.</td></tr><tr><td><strong><code>links</code></strong></td><td>object</td><td align="center"></td><td align="center">O</td><td></td><td>이전/다음 페이지 링크를 제공합니다. offset을 0이 아닌 limit보다 작은 양수값으로 설정한 경우 prev 는 null로 응답됩니다.</td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="201">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>layoutId</code></strong></td><td>string</td><td align="center">40</td><td align="center"></td><td></td><td>레이아웃 ID 입니다.</td></tr><tr><td><strong><code>layoutName</code></strong></td><td>string</td><td align="center">40</td><td align="center"></td><td></td><td>레이아웃 이름 입니다.</td></tr><tr><td><strong><code>productCode</code></strong></td><td>string</td><td align="center">20</td><td align="center"></td><td></td><td><p>레이아웃의 메시지 상품 코드 입니다.</p><ul><li>sms</li><li>lms</li><li>mms</li></ul></td></tr><tr><td><strong><code>status</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>레이아웃의 상태를 표시합니다.</p><ul><li>ready : 사용</li><li>pause : 사용중지</li></ul></td></tr><tr><td><strong><code>registerId</code></strong></td><td>string</td><td align="center">20</td><td align="center"></td><td></td><td>등록자 ID 입니다.</td></tr><tr><td><strong><code>registerDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>등록일시 입니다.</td></tr><tr><td><strong><code>updateDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>수정일시 입니다.</td></tr><tr><td><strong><code>approvalResult</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>레이아웃 등록 상태입니다. 레이아웃은 운영자 검수 없이 자동 등록됩니다.</p><ul><li>승인 : 이통3사에 정상 등록된 상태입니다.</li><li>저장 : RBC 웹에서 저장만 했을 경우 상태이며 별도 등록요청을 해야 합니다.</li><li>검수완료 : 이통 3사 등록 중 에러로 인해 최종 완료가 되지 않은 상태로 수정이나 삭제가 불가능한 상태입니다.</li></ul></td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "layoutId": "CLMBR.0a81DDlZjz-11GLm0hv4RX9zJB82D9r",
            "layoutName": "MMS_2024x06x26x10x11x22",
            "productCode": "mms",
            "status": "ready",
            "approvalResult": "승인",
            "registerId": "leekmdevagency",
            "registerDate": "2024-07-03 10:44:51",
            "updateDate": "2024-07-03 10:44:51"
        },
        {
            "layoutId": "CLSBR.0a81DDlZjz-3WQxe43IgX1tnJnyqV04",
            "layoutName": "SMS_2024x06x26x10x11x22",
            "productCode": "sms",
            "status": "ready",
            "approvalResult": "승인",
            "registerId": "leekmdevagency",
            "registerDate": "2024-07-03 10:35:04",
            "updateDate": "2024-07-03 10:35:04"
        },
        {
            "layoutId": "CLLBR.0a81DDlZjz-9OYjpEElL0HDIB079ac1",
            "layoutName": "2024x06x26x10x11x22",
            "productCode": "lms",
            "status": "ready",
            "approvalResult": "승인",
            "registerId": "leekmdevagency",
            "registerDate": "2024-07-03 10:20:10",
            "updateDate": "2024-07-03 10:20:11"
        }
    ],
    "pagination": {
        "offset": 0,
        "limit": 100,
        "total": 3
    },
    "status": 200
}
```

{% endtab %}

{% tab title="400" %}

```
{
    "error": {
        "code": "64001",
        "message": "Missing X-RCS-BrandKey header"
    },
    "status": 400
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}

{% tab title="403" %}

```
{
    "error": {
        "code": "63001",
        "message": "No Brand Permission"
    },
    "status": 403
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/layout/get_layout_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
